## ros-rolling-ignition-cmake2-vendor 0.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ignition_cmake2_vendor)

option(FORCE_BUILD_VENDOR_PKG
  "Build Ignition CMake from source, even if system-installed package is available"
  OFF)

if(NOT FORCE_BUILD_VENDOR_PKG)
  find_package(ignition-cmake2 QUIET)
endif()

macro(build_ignition_cmake2)
  set(extra_cmake_args -DBUILD_TESTING=OFF)

  set(IGNITION_CMAKE2_TARGET_VERSION "2.8.0")

  if(DEFINED CMAKE_BUILD_TYPE)
    list(APPEND extra_cmake_args -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE})
  endif()

  if(DEFINED CMAKE_TOOLCHAIN_FILE)
    list(APPEND extra_cmake_args "-DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE}")
    if(ANDROID)
      if(DEFINED ANDROID_ABI)
        list(APPEND extra_cmake_args "-DANDROID_ABI=${ANDROID_ABI}")
      endif()
      if(DEFINED ANDROID_CPP_FEATURES)
        list(APPEND extra_cmake_args "-DANDROID_CPP_FEATURES=${ANDROID_CPP_FEATURES}")
      endif()
      if(DEFINED ANDROID_FUNCTION_LEVEL_LINKING)
        list(APPEND extra_cmake_args "-DANDROID_FUNCTION_LEVEL_LINKING=${ANDROID_FUNCTION_LEVEL_LINKING}")
      endif()
      if(DEFINED ANDROID_NATIVE_API_LEVEL)
        list(APPEND extra_cmake_args "-DANDROID_NATIVE_API_LEVEL=${ANDROID_NATIVE_API_LEVEL}")
      endif()
      if(DEFINED ANDROID_NDK)
        list(APPEND extra_cmake_args "-DANDROID_NDK=${ANDROID_NDK}")
      endif()
      if(DEFINED ANDROID_STL)
        list(APPEND extra_cmake_args "-DANDROID_STL=${ANDROID_STL}")
      endif()
      if(DEFINED ANDROID_TOOLCHAIN_NAME)
        list(APPEND extra_cmake_args "-DANDROID_TOOLCHAIN_NAME=${ANDROID_TOOLCHAIN_NAME}")
      endif()
    endif()
  else()
    list(APPEND extra_cmake_args "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}")
  endif()
  list(APPEND extra_cmake_args "-DCMAKE_CXX_FLAGS=${CMAKE_CXX_FLAGS}")

  include(ExternalProject)

  externalproject_add(ignition-cmake2-${IGNITION_CMAKE2_TARGET_VERSION}
    GIT_REPOSITORY https://github.com/ignitionrobotics/ign-cmake.git
    GIT_TAG ignition-cmake2_${IGNITION_CMAKE2_TARGET_VERSION}
    GIT_CONFIG advice.detachedHead=false
    # Suppress git update due to https://gitlab.kitware.com/cmake/cmake/-/issues/16419
    # See https://github.com/ament/uncrustify_vendor/pull/22 for details
    UPDATE_COMMAND ""
    TIMEOUT 600
    CMAKE_ARGS
      -DCMAKE_INSTALL_PREFIX=${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_install
      ${extra_cmake_args}
  )

  # The external project will install to the build folder, but we'll install that on make install.
  install(
    DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_install/
    DESTINATION
      ${CMAKE_INSTALL_PREFIX}
    USE_SOURCE_PERMISSIONS
  )
endmacro()

if(NOT ignition-cmake2_FOUND OR "${ignition-cmake2_VERSION}" VERSION_LESS 2.6.2)
  build_ignition_cmake2()
endif()

find_package(ament_cmake_test REQUIRED)
if(BUILD_TESTING)
  find_package(ament_cmake_lint_cmake REQUIRED)
  find_package(ament_cmake_copyright REQUIRED)
  find_package(ament_cmake_xmllint REQUIRED)

  ament_lint_cmake()
  ament_copyright()
  ament_xmllint()
endif()

install(
  FILES package.xml
  DESTINATION share/${PROJECT_NAME}
)

=== debian/changelog ===
ros-rolling-ignition-cmake2-vendor (0.0.1-1focal) focal; urgency=high

  * Initial package
  * Contributors: Scott K Logan

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 16 Aug 2021 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-ignition-cmake2-vendor
Section: misc
Priority: optional
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), cmake, doxygen, git, libignition-cmake2-dev, ros-rolling-ament-cmake-copyright, ros-rolling-ament-cmake-lint-cmake, ros-rolling-ament-cmake-test, ros-rolling-ament-cmake-xmllint, ros-rolling-ros-workspace
Homepage: https://github.com/ignitionrobotics/ign-math
Standards-Version: 3.9.2

Package: ros-rolling-ignition-cmake2-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-cmake2-dev, ros-rolling-ros-workspace
Description: This package provides the Ignition CMake 2.x library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-ignition-cmake2-vendor//opt/ros/rolling/lib/:$(CURDIR)/debian/ros-rolling-ignition-cmake2-vendor//opt/ros/rolling/lib/${DEB_HOST_MULTIARCH}

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-ignition-cmake2-vendor 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(ignition_cmake2_vendor)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_vendor_package REQUIRED)

find_package(ignition-cmake2 2.6.2 QUIET)

ament_vendor(ignition_cmake2_vendor
  SATISFIED ${ignition-cmake2_FOUND}
  VCS_URL https://github.com/ignitionrobotics/ign-cmake.git
  VCS_VERSION ignition-cmake2_2.14.0
  CMAKE_ARGS
    -DBUILD_DOCS:BOOL=OFF
  GLOBAL_HOOK
)

find_package(ament_cmake_test REQUIRED)
if(BUILD_TESTING)
  find_package(ament_cmake_lint_cmake REQUIRED)
  find_package(ament_cmake_copyright REQUIRED)
  find_package(ament_cmake_xmllint REQUIRED)

  ament_lint_cmake()
  ament_copyright()
  ament_xmllint()
endif()

ament_package()

=== debian/changelog ===
ros-rolling-ignition-cmake2-vendor (0.2.1-1jammy) jammy; urgency=high

  * Switch to ament_cmake_vendor_package (#6 <https://github.com/gazebo-release/gz_cmake2_vendor/issues/6>)
  * Contributors: Scott K Logan

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 22 Jun 2023 07:00:00 -0000

ros-rolling-ignition-cmake2-vendor (0.2.0-1jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 28 Apr 2023 07:00:00 -0000

ros-rolling-ignition-cmake2-vendor (0.1.0-1jammy) jammy; urgency=high

  * Set target version to 2.14.0 (#5 <https://github.com/gazebo-release/gz_cmake2_vendor/issues/5>)
  * Mirror rolling to main
  * Contributors: Audrow Nash, Yadu

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 11 Apr 2023 07:00:00 -0000

ros-rolling-ignition-cmake2-vendor (0.0.2-1jammy) jammy; urgency=high

  * Fix an ament_lint warning. (#3 <https://github.com/ignition-release/ignition_cmake2_vendor/issues/3>)
  * use --no-warn-unused-cli on MSVC (#2 <https://github.com/ignition-release/ignition_cmake2_vendor/issues/2>)
  * Fix upstream URL and package reference in manifest
  * Contributors: Chris Lalancette, Scott K Logan, Shane Loretz

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 29 Mar 2022 07:00:00 -0000

ros-rolling-ignition-cmake2-vendor (0.0.1-1jammy) jammy; urgency=high

  * Initial package
  * Contributors: Scott K Logan

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 16 Aug 2021 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-ignition-cmake2-vendor
Section: misc
Priority: optional
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libignition-cmake2-dev, ros-rolling-ament-cmake-copyright <!nocheck>, ros-rolling-ament-cmake-core, ros-rolling-ament-cmake-lint-cmake <!nocheck>, ros-rolling-ament-cmake-test, ros-rolling-ament-cmake-vendor-package, ros-rolling-ament-cmake-xmllint <!nocheck>, ros-rolling-ros-workspace
Homepage: https://github.com/ignitionrobotics/ign-cmake
Standards-Version: 3.9.2

Package: ros-rolling-ignition-cmake2-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-cmake2-dev, ros-rolling-ros-workspace
Description: This package provides the Ignition CMake 2.x library.

=== debian/rules ===
--- 
+++ 
@@ -17,12 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
 
-# Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
-export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -31,7 +33,9 @@
 	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -53,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-ignition-cmake2-vendor//opt/ros/rolling/lib/:$(CURDIR)/debian/ros-rolling-ignition-cmake2-vendor//opt/ros/rolling/lib/${DEB_HOST_MULTIARCH}
+	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-ignition-cmake2-vendor//opt/ros/rolling/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
